ResolutionCacheManager
Date: 2014-12-13

org.apache.ivy.core.cache

## Interface ResolutionCacheManager

- All Known Implementing Classes:
    DefaultResolutionCacheManager

      public interface ResolutionCacheManager

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clean()` Cleans the whole cache.
    `java.io.File` | `getConfigurationResolveReportInCache(java.lang.String resolveId, java.lang.String conf)`
    `java.io.File[]` | `getConfigurationResolveReportsInCache(java.lang.String resolveId)`
    `java.io.File` | `getResolutionCacheRoot()`
    `java.io.File` | `getResolvedIvyFileInCache(ModuleRevisionId mrid)`
    `java.io.File` | `getResolvedIvyPropertiesInCache(ModuleRevisionId mrid)`
    `ModuleDescriptor` | `getResolvedModuleDescriptor(ModuleRevisionId mrid)`
    `void` | `saveResolvedModuleDescriptor(ModuleDescriptor md)`

- - ### Method Detail

    - #### getResolutionCacheRoot

          java.io.File getResolutionCacheRoot()

    - #### getResolvedIvyFileInCache

          java.io.File getResolvedIvyFileInCache(ModuleRevisionId mrid)

    - #### getResolvedIvyPropertiesInCache

          java.io.File getResolvedIvyPropertiesInCache(ModuleRevisionId mrid)

    - #### getConfigurationResolveReportInCache

          java.io.File getConfigurationResolveReportInCache(java.lang.String resolveId,
                                                          java.lang.String conf)

    - #### getConfigurationResolveReportsInCache

          java.io.File[] getConfigurationResolveReportsInCache(java.lang.String resolveId)

    - #### getResolvedModuleDescriptor

          ModuleDescriptor getResolvedModuleDescriptor(ModuleRevisionId mrid)
                                                       throws java.text.ParseException,
                                                              java.io.IOException

      Throws:
        `java.text.ParseException`
        `java.io.IOException`

    - #### saveResolvedModuleDescriptor

          void saveResolvedModuleDescriptor(ModuleDescriptor md)
                                            throws java.text.ParseException,
                                                   java.io.IOException

      Throws:
        `java.text.ParseException`
        `java.io.IOException`

    - #### clean

          void clean()

      Cleans the whole cache.